# Contributing

Contributions are more than welcome. Bug reports with specific reproduction
steps are great. If you have a code contribution you'd like to make, open a pull
request with suggested code.

Note that PR's and issues are reviewed every ~2 weeks. If your PR or issue is
critical in nature, please reflect that in the description so that it receives
faster attention.

Pull requests should:

* Clearly state their intent in the title
* Have a description that explains the need for the changes
* Include tests!
* Not break the public API
* Add yourself to the CONTRIBUTING file

By contributing to this project you agree that you are granting New Relic a
non-exclusive, non-revokable, no-cost license to use the code, algorithms,
patents, and ideas in that code in our products if we so choose. You also agree
the code is provided as-is and you provide no warranties as to its fitness or
correctness for any purpose

Copyright (c) 2016 New Relic, Inc. All rights reserved.

## Testing

[Test Kitchen](http://kitchen.ci/) can be used run integration tests on the
module. The default driver uses [Vagrant](https://www.vagrantup.com/) and
[VirtualBox](https://www.virtualbox.org/). You'll need
[Ruby](https://www.ruby-lang.org/en/) and [Bundler](http://bundler.io/)
installed as well.

Use `bundle exec kitchen` to run commands.

## Contributors

* Phil McArdle (@philmcardle)
* Ruben Hervas (@xino12)
* Nathan Smith (@smith)
* Amir Yalon (@amiryal)
* Irfan Patel (@irfanypatel)
* Alejandro Do Nascimento (@alejandrodnm)
* Jonatan Bernal (@els-bernalj)
* Keith Stone (@kwstone14)
